Error tracking
For instructions on how to authenticate to use this endpoint, see API overview.
Endpoints
PATCH | |
GET | |
GET | |
PATCH | |
DELETE | |
GET | |
PATCH | |
POST | |
POST | |
GET | |
PATCH | |
GET | |
POST | |
GET | |
GET | |
GET | |
POST | |
POST |
Update error tracking grouping rules reorder
Required API key scopes
error_tracking:writeRequest parameters
- ordersobject
Example request
PATCH /api /projects /:project_id /error_tracking /grouping_rules /reorderExample response
Status 204 No response body
List all error tracking issues
Required API key scopes
error_tracking:readQuery parameters
- limitinteger
- offsetinteger
Response
Example request
GET /api /projects /:project_id /error_tracking /issuesExample response
Status 200
RESPONSE
Retrieve error tracking issues
Required API key scopes
error_tracking:readPath parameters
- idstring
Query parameters
- fingerprintstring
Response
Example request
GET /api /projects /:project_id /error_tracking /issues /:idExample response
Status 200
RESPONSE
Status 308 The fingerprint belongs to a different issue now.
RESPONSE
Update error tracking issues
Also available via the PostHog MCP server:
error-tracking-issues-partial-update— Update error tracking issue
Required API key scopes
error_tracking:writePath parameters
- idstring
Request parameters
- status
- severity
- namestring | null
- descriptionstring | null
Response
Example request
PATCH /api /projects /:project_id /error_tracking /issues /:idExample response
Status 200
RESPONSE
Delete error tracking issues
Hard delete of this model is not allowed. Use a patch API call to set "deleted" to true
Required API key scopes
error_tracking:writePath parameters
- idstring
Example request
DELETE /api /projects /:project_id /error_tracking /issues /:idExample response
Status 405 No response body
Retrieve error tracking issues activity
Required API key scopes
activity_log:readPath parameters
- idstring
Example request
GET /api /projects /:project_id /error_tracking /issues /:id /activityExample response
Status 200 No response body
Update error tracking issues assign
Required API key scopes
error_tracking:writePath parameters
- idstring
Request parameters
- assignee
Response
Example request
PATCH /api /projects /:project_id /error_tracking /issues /:id /assignExample response
Status 200
RESPONSE
Create error tracking issues merge
Also available via the PostHog MCP server:
error-tracking-issues-merge-create— Merge error tracking issues
Required API key scopes
error_tracking:writePath parameters
- idstring
Request parameters
- idsarray
Response
Example request
POST /api /projects /:project_id /error_tracking /issues /:id /mergeExample response
Status 200
RESPONSE
Create error tracking issues split
Also available via the PostHog MCP server:
error-tracking-issues-split-create— Split error tracking issue fingerprints
Required API key scopes
error_tracking:writePath parameters
- idstring
Request parameters
- fingerprintsarray
Response
Example request
POST /api /projects /:project_id /error_tracking /issues /:id /splitExample response
Status 200
RESPONSE
Retrieve error tracking issues summary
Required API key scopes
error_tracking:readPath parameters
- idstring
Response
Example request
GET /api /projects /:project_id /error_tracking /issues /:id /summaryExample response
Status 200
RESPONSE
Update error tracking issues tag
Required API key scopes
error_tracking:writePath parameters
- idstring
Request parameters
- keystring
- appliedboolean
Response
Example request
PATCH /api /projects /:project_id /error_tracking /issues /:id /tagExample response
Status 200
RESPONSE
Retrieve error tracking issues all activity
Required API key scopes
activity_log:readExample request
GET /api /projects /:project_id /error_tracking /issues /activityExample response
Status 200 No response body
Create error tracking issues bulk
Required API key scopes
error_tracking:writeRequest parameters
- action
- idsarray
- status
- assignee
Response
Example request
POST /api /projects /:project_id /error_tracking /issues /bulkExample response
Status 200
RESPONSE
Retrieve error tracking issues exists
Required API key scopes
error_tracking:readResponse
Example request
GET /api /projects /:project_id /error_tracking /issues /existsExample response
Status 200
RESPONSE
Retrieve error tracking issues tag definitions
Required API key scopes
error_tracking:readResponse
Example request
GET /api /projects /:project_id /error_tracking /issues /tag_definitionsExample response
Status 200
RESPONSE
Retrieve error tracking issues values
Required API key scopes
error_tracking:readQuery parameters
- keystring
- valuestring
Response
Example request
GET /api /projects /:project_id /error_tracking /issues /valuesExample response
Status 200
RESPONSE
Create error tracking query issue
Fetch one error tracking issue with impact counts, trend, top in_app frame, first and latest release, and optional sparkline and event breakdown.
Required API key scopes
error_tracking:readRequest parameters
- issueIdstring
- dateRange
- filterTestAccountsbooleanDefault:
true - volumeResolutionintegerDefault:
0 - includeSparklinebooleanDefault:
false - includeBreakdownbooleanDefault:
false
Response
Example request
POST /api /projects /:project_id /error_tracking /query /issueExample response
Status 200
RESPONSE
Status 404 Issue not found
Create error tracking query issue events
Fetch sampled exception events, stack traces, browser/SDK context, URL, and $session_id values for one issue.
Required API key scopes
error_tracking:readRequest parameters
- issueIdstring
- dateRange
- filterTestAccountsbooleanDefault:
true - filterGrouparray
- searchQuerystring
- orderDirectionDefault:
DESC - limitintegerDefault:
1 - offsetintegerDefault:
0 - includearray
- onlyAppFramesbooleanDefault:
true
Response
Example request
POST /api /projects /:project_id /error_tracking /query /issue_eventsExample response
Status 200
RESPONSE





